unit ztStart;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Buttons, StdCtrls;

type
  Tztfrm_Start = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    btNew: TSpeedButton;
    btOpen: TSpeedButton;
    btExit: TSpeedButton;
    procedure btNewClick(Sender: TObject);
    procedure btExitClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btOpenClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ztfrm_Start: Tztfrm_Start;

implementation

uses ztNew, ztInfo;

{$R *.DFM}

procedure Tztfrm_Start.btNewClick(Sender: TObject);
begin
     Hide;
     try
        ztfrm_Create := tztfrm_Create.Create(Application);
        ztfrm_Create.ShowModal;
        ztfrm_Create.Release;
     except
           Show;
     end;
     Show;
end;

procedure Tztfrm_Start.btExitClick(Sender: TObject);
begin
     Close;
end;

procedure Tztfrm_Start.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
     Action := caFree;
end;

procedure Tztfrm_Start.btOpenClick(Sender: TObject);
begin
     Hide;
     try
        ztfrm_Info := tztfrm_Info.Create(Application);
        ztfrm_Info.ShowModal;
        ztfrm_Info.Release;
     except
           Show;
     end;
     Show;
end;

end.
